GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/filesystem.c File Reference
`#include "defs.h"`
`#include "filesystem.h"`
`#include "gdbarch.h"`
`#include "gdbcmd.h"`

Go to the source code of this file.

## Functions
const char * | effective_target_file_system_kind (void)
const char * | target_lbasename (const char *kind, const char *name)
static void | show_target_file_system_kind_command (struct ui_file *file, int from_tty, struct cmd_list_element *c, const char *value)
void | _initialize_filesystem (void)

## Variables
const char | file_system_kind_auto [] = "auto"
const char | file_system_kind_unix [] = "unix"
const char | file_system_kind_dos_based [] = "dos-based"
const char *const | target_file_system_kinds []
const char * | target_file_system_kind = file_system_kind_auto

## Function Documentation

## ◆ _initialize_filesystem()

void _initialize_filesystem | ( | void |  | ) |

Definition at line 80 of file filesystem.c.

References _, add_setshow_enum_cmd(), class_files, setlist, show_target_file_system_kind_command(), showlist, target_file_system_kind, and target_file_system_kinds.

## ◆ effective_target_file_system_kind()

const char* effective_target_file_system_kind | ( | void |  | ) |

Definition at line 38 of file filesystem.c.

References file_system_kind_auto, file_system_kind_dos_based, file_system_kind_unix, gdbarch_has_dos_based_file_system(), target_file_system_kind, and target_gdbarch().

Referenced by exec_file_find(), show_target_file_system_kind_command(), and solib_find_1().

## ◆ show_target_file_system_kind_command()

static void show_target_file_system_kind_command | ( | struct ui_file * | file,
|  | int | from_tty,
|  | struct cmd_list_element * | c,
|  | const char * | value
| ) |  |
| static

Definition at line 61 of file filesystem.c.

References _, effective_target_file_system_kind(), file_system_kind_auto, fprintf_filtered(), and target_file_system_kind.

Referenced by _initialize_filesystem().

## ◆ target_lbasename()

const char* target_lbasename | ( | const char * | kind,
|  | const char * | name
| ) |  |

Definition at line 52 of file filesystem.c.

References file_system_kind_dos_based, and name.

Referenced by solib_find_1().

## Variable Documentation

## ◆ file_system_kind_auto

const char file_system_kind_auto[] = "auto"

Definition at line 25 of file filesystem.c.

Referenced by effective_target_file_system_kind(), and show_target_file_system_kind_command().

## ◆ file_system_kind_dos_based

const char file_system_kind_dos_based[] = "dos-based"

Definition at line 27 of file filesystem.c.

Referenced by effective_target_file_system_kind(), exec_file_find(), solib_find_1(), and target_lbasename().

## ◆ file_system_kind_unix

const char file_system_kind_unix[] = "unix"

Definition at line 26 of file filesystem.c.

Referenced by effective_target_file_system_kind().

## ◆ target_file_system_kind

const char* target_file_system_kind = file_system_kind_auto

Definition at line 35 of file filesystem.c.

Referenced by _initialize_filesystem(), effective_target_file_system_kind(), and show_target_file_system_kind_command().

## ◆ target_file_system_kinds

const char* const target_file_system_kinds[]

Initial value:
=
{
file_system_kind_auto,
file_system_kind_unix,
file_system_kind_dos_based,
NULL
}
file_system_kind_dos_based
const char file_system_kind_dos_based[]
Definition: filesystem.c:27
file_system_kind_unix
const char file_system_kind_unix[]
Definition: filesystem.c:26
file_system_kind_auto
const char file_system_kind_auto[]
Definition: filesystem.c:25

Definition at line 28 of file filesystem.c.

Referenced by _initialize_filesystem().